Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javafe.filespace
Class LeafTree

    java.lang.Object
      javafe.filespace.Tree
          javafe.filespace.LeafTree

class LeafTree
extends Tree

A LeafTree is a degenerate form of Tree that never contains children. It is used for the leaf nodes of a Tree.

Field Summary

Fields inherited from class javafe.filespace.Tree
`data`

Constructor Summary
`` | `LeafTree(java.lang.Object data)` Create a root node:
`(package private)` | `LeafTree(Tree parent, java.lang.String label, java.lang.Object data)` Create a non-root node:

Method Summary
`java.util.Enumeration` | `children()` * Fetching and counting children: * *
`int` | `getChildrenCount()` Return a count of how many direct children we have:
`boolean` | `isLeaf()` Return true iff we have no direct children

Methods inherited from class javafe.filespace.Tree
`getChild, getLabel, getParent, getQualifiedChild, getQualifiedName, getRootNode, getSimpleName, print, printDetails`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LeafTree

    public LeafTree(java.lang.Object data)

  Create a root node:

### LeafTree

    LeafTree(Tree parent,
             java.lang.String label,
             java.lang.Object data)

  Create a non-root node:

Method Detail

### children

    public final java.util.Enumeration children()

  * Fetching and counting children: * *

  Specified by:
    `children` in class `Tree`

### isLeaf

    public final boolean isLeaf()

  Description copied from class: `Tree`
  Return true iff we have no direct children

  Overrides:
    `isLeaf` in class `Tree`

### getChildrenCount

    public final int getChildrenCount()

  Description copied from class: `Tree`
  Return a count of how many direct children we have:

  Overrides:
    `getChildrenCount` in class `Tree`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage